<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Magpaper Pro
 * @since Magpaper Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'magpaper_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','magpaper-pro' ),
	'description'       => esc_html__( 'Archive section options.', 'magpaper-pro' ),
	'panel'             => 'magpaper_pro_theme_options_panel',
) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'magpaper_pro_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'magpaper_pro_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'magpaper-pro' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_archive_section',
	'type'				=> 'text',
	'active_callback'   => 'magpaper_pro_is_latest_posts'
) );

// Archive comment category setting and control.
$wp_customize->add_setting( 'magpaper_pro_theme_options[archive_image]', array(
	'default'           => $options['archive_image'],
	'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'magpaper_pro_theme_options[archive_image]', array(
	'label'             => esc_html__( 'Archive header image', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_archive_section',
) ) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'magpaper_pro_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'magpaper_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magpaper_Pro_Switch_Control( $wp_customize, 'magpaper_pro_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_archive_section',
	'on_off_label' 		=> magpaper_pro_hide_options(),
) ) );

// Archive author category setting and control.
$wp_customize->add_setting( 'magpaper_pro_theme_options[hide_category]', array(
	'default'           => $options['hide_category'],
	'sanitize_callback' => 'magpaper_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magpaper_Pro_Switch_Control( $wp_customize, 'magpaper_pro_theme_options[hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_archive_section',
	'on_off_label' 		=> magpaper_pro_hide_options(),
) ) );

// Archive comment category setting and control.
$wp_customize->add_setting( 'magpaper_pro_theme_options[hide_author]', array(
	'default'           => $options['hide_author'],
	'sanitize_callback' => 'magpaper_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magpaper_Pro_Switch_Control( $wp_customize, 'magpaper_pro_theme_options[hide_author]', array(
	'label'             => esc_html__( 'Hide Author', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_archive_section',
	'on_off_label' 		=> magpaper_pro_hide_options(),
) ) );