<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Magpaper Pro
 * @since Magpaper Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'magpaper_pro_layout', array(
	'title'               => esc_html__('Layout','magpaper-pro'),
	'description'         => esc_html__( 'Layout section options.', 'magpaper-pro' ),
	'panel'               => 'magpaper_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'magpaper_pro_theme_options[site_layout]', array(
	'sanitize_callback'   => 'magpaper_pro_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control(  new Magpaper_Pro_Custom_Radio_Image_Control ( $wp_customize, 'magpaper_pro_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'magpaper-pro' ),
	'section'             => 'magpaper_pro_layout',
	'choices'			  => magpaper_pro_site_layout(),
) ) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'magpaper_pro_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'magpaper_pro_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control(  new Magpaper_Pro_Custom_Radio_Image_Control ( $wp_customize, 'magpaper_pro_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Blog/Archive Sidebar Position', 'magpaper-pro' ),
	'section'             => 'magpaper_pro_layout',
	'choices'			  => magpaper_pro_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'magpaper_pro_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'magpaper_pro_sanitize_select',
	'default'             => $options['post_sidebar_position'],
) );

$wp_customize->add_control(  new Magpaper_Pro_Custom_Radio_Image_Control ( $wp_customize, 'magpaper_pro_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'magpaper-pro' ),
	'section'             => 'magpaper_pro_layout',
	'choices'			  => magpaper_pro_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'magpaper_pro_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'magpaper_pro_sanitize_select',
	'default'             => $options['page_sidebar_position'],
) );

$wp_customize->add_control( new Magpaper_Pro_Custom_Radio_Image_Control( $wp_customize, 'magpaper_pro_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'magpaper-pro' ),
	'section'             => 'magpaper_pro_layout',
	'choices'			  => magpaper_pro_sidebar_position(),
) ) );