<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Magpaper Pro
* @since Magpaper Pro 1.0.0
*/

if ( ! function_exists( 'magpaper_pro_validate_long_excerpt' ) ) :
  function magpaper_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'magpaper-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'magpaper-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'magpaper-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'magpaper_pro_validate_featured_count' ) ) :
  function magpaper_pro_validate_featured_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'magpaper-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'magpaper-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'magpaper-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'magpaper_pro_validate_featured_post_count' ) ) :
  function magpaper_pro_validate_featured_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'magpaper-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'magpaper-pro' ) );
     } elseif ( $value > 9 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'magpaper-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'magpaper_pro_validate_popular_post_count' ) ) :
  function magpaper_pro_validate_popular_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'magpaper-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'magpaper-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'magpaper-pro' ) );
     }
     return $validity;
  }
endif;


if ( ! function_exists( 'magpaper_pro_validate_blog_count' ) ) :
  function magpaper_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'magpaper-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'magpaper-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'magpaper-pro' ) );
     }
     return $validity;
  }
endif;
